"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updatePackage = exports.getPackage = void 0;

var _jsonfile = _interopRequireDefault(require("jsonfile"));

var _moment = _interopRequireDefault(require("moment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getPackage = packagePath => {
  return new Promise((resolve, reject) => {
    return _jsonfile.default.readFile(packagePath, (err, pkg) => {
      if (err) throw err;
      resolve(pkg);
    });
  });
};

exports.getPackage = getPackage;

const updatePackage = (packagePath, pkg, buildNumber, updateDate) => {
  return new Promise((resolve, reject) => {
    if (updateDate) {
      pkg.buildDate = (0, _moment.default)().format('DD/MM/YYYY');
    }

    if (buildNumber) {
      pkg.buildNumber = buildNumber;
    }

    _jsonfile.default.writeFileSync(packagePath, pkg, {
      spaces: 2
    });

    resolve(pkg);
  });
};

exports.updatePackage = updatePackage;