"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.nextVersionNumber = exports.getVersionNumber = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getVersionNumber = builderPath => {
  return (0, _nodeFetch.default)(`https://version-builder.herokuapp.com/builder/${builderPath}`).then(response => {
    if (response.ok) {
      return response.text();
    }

    throw new Error('Fetch version number failed');
  });
};

exports.getVersionNumber = getVersionNumber;

const nextVersionNumber = builderPath => {
  return (0, _nodeFetch.default)(`https://version-builder.herokuapp.com/builder/${builderPath}/next`).then(response => {
    if (response.ok) {
      return response.text();
    }

    throw new Error('Next version number failed');
  });
};

exports.nextVersionNumber = nextVersionNumber;